package ch.psi.daq.rest.model;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;

public class Aggregation {

   private String fieldRef;
   private AggregationEnum type;
   private String resultFieldName;

   @JsonCreator
   public Aggregation(
         @JsonProperty(value = "fieldRef") String fieldRef,
         @JsonProperty(value = "type") AggregationEnum type,
         @JsonProperty(value = "resultFieldName") String resultFieldName) {
      this.fieldRef = fieldRef;
      this.type = type;
      this.resultFieldName = resultFieldName;
   }

   public String getFieldRef() {
      return fieldRef;
   }

   public AggregationEnum getType() {
      return type;
   }

   public String getResultFieldName() {
      return resultFieldName;
   }

   public String toString() {
      return ToStringBuilder.reflectionToString(this);
   }

}
