package ch.psi.daq.rest.model;

public enum AggregationEnum {
   /* mean value of values (of an array) */
   mean,

   /* min value of values (of an array) */
   min,

   /* max value of values (of an array) */
   max,

   /* sum of values (of an array) */
   sum,

   /* number of values (of an array) aggregated into a value */
   count,

   /* variance of values (of an array) */
   variance,

   /* standard deviation */
   std_dev,

   /* skewness */
   skewness,

   /* kurtosis */
   kurtosis
}
